CREATE TABLE cst_tcp_ctc_46090_dyd (
    TRANSACTION_ID                  NUMBER(18, 0),
    EFF_DATE                        TIMESTAMP(6) ,
    COST_ELEMENT_ID                 NUMBER(18, 0),
    EXPENSE_POOL_ID                 NUMBER(18, 0),
    UNIT_COST                       NUMBER       ,
    CURRENCY_CODE                   VARCHAR2(60) ,
    BASE_TXN_TYPE_ID                NUMBER(18, 0),
    BASE_TXN_SOURCE_TYPE_ID         NUMBER(18, 0),
    BASE_TXN_ACTION_ID              NUMBER(18, 0),
    CST_INV_TRANSACTION_ID          NUMBER(18, 0),
    ADJUSTMENT_TRANSACTION_ID       NUMBER(18, 0),
    TXN_UNIT_COST                   NUMBER       ,
    TXN_CURRENCY_CODE               VARCHAR2(60) ,
    TXN_CURRENCY_CONVERSION_TYPE    VARCHAR2(120),
    TXN_CURRENCY_CONVERSION_DATE    DATE         ,
    TXN_CURRENCY_CONVERSION_RATE    NUMBER       ,
    TRANSACTION_ID                  NUMBER(18, 0),
    EFF_DATE                        TIMESTAMP(6) ,
    COST_ELEMENT_ID                 NUMBER(18, 0),
    EXPENSE_POOL_ID                 NUMBER(18, 0),
    UNIT_COST                       NUMBER       ,
    CURRENCY_CODE                   VARCHAR2(60) ,
    BASE_TXN_TYPE_ID                NUMBER(18, 0),
    BASE_TXN_SOURCE_TYPE_ID         NUMBER(18, 0),
    BASE_TXN_ACTION_ID              NUMBER(18, 0),
    CST_INV_TRANSACTION_ID          NUMBER(18, 0),
    ADJUSTMENT_TRANSACTION_ID       NUMBER(18, 0),
    TXN_UNIT_COST                   NUMBER       ,
    TXN_CURRENCY_CODE               VARCHAR2(60) ,
    TXN_CURRENCY_CONVERSION_TYPE    VARCHAR2(120),
    TXN_CURRENCY_CONVERSION_DATE    DATE         ,
    TXN_CURRENCY_CONVERSION_RATE    NUMBER       
);
